# Enum Class CAClientUnit

java.lang.Object
java.lang.Enum<CAClientUnit>
com.io7m.cardant.client.api.CAClientUnit

All Implemented Interfaces:
  `Serializable`, `Comparable<CAClientUnit>`, `Constable`

public enum CAClientUnit extends Enum<CAClientUnit>
The unit type.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `UNIT`
  The unit value

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CAClientUnit`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CAClientUnit[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNIT

    public static final CAClientUnit UNIT
    The unit value

- ## Method Details

  - ### values

    public static CAClientUnit[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CAClientUnit valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null